%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Encode-Detect
Version:        1.01
Release:        3mamba
Summary:        Encode::Detect - An Encode::Encoding subclass that detects the encoding of data  
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Silvan Calarco <silvan.calarco@mambasoft.it>
URL:            http://www.cpan.org
Source:         http://search.cpan.org/CPAN/authors/id/J/JG/JGMYERS/Encode-Detect-%{version}.tar.gz
License:        GPL, Artistic
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRequires:  perl-ExtUtils-CBuilder
BuildRequires:  perl-Data-Dump
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
An Encode::Encoding subclass that detects the encoding of data  

%prep
%setup -q -n Encode-Detect-%{version}

%build
perl Build.PL INSTALLDIRS=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install destdir="%{buildroot}"

# cleanup unpackaged files
find %{buildroot} \
   -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;
# remove empty directories
#find %{buildroot}%{perl_sitelib} \
#   -type d -depth -exec rmdir {} 2>/dev/null \;

find %{buildroot} \( -type f -or -type l \) | \
   sed "s@%buildroot@@g;s@.*/man./.*@&.gz@g" | \
   sort -u > .packlist
find %{buildroot} -type d | \
   grep "%{perl_sitearch}/" | \
   sed "s@%buildroot@@g;s@.*@%dir &@g" >> .packlist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-3mamba
- perl 5.24 mass rebuild

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-2mamba
- perl 5.16 mass rebuild

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.00-2mamba
- automatic rebuild by autodist

* Thu Nov 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.00-1mamba
- package created by autospec
